﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace WebApplication3
{
  public partial class _Default : System.Web.UI.Page
  {
    private void LoadData()
    {
      DataTable dt, dt2;
      DataRow dr;
      DataColumn c;

      dt = new DataTable("C");
      c = new DataColumn("X", Type.GetType("System.String"));
      dt.Columns.Add(c);

      dt2 = new DataTable("C");
      c = new DataColumn("X", Type.GetType("System.String"));
      dt2.Columns.Add(c);

      for (int i = 0; i < 10; i++)
      {
        dr = dt.NewRow();
        dr["X"] = i.ToString();
        dt.Rows.Add(dt);

        dr = dt2.NewRow();
        dr["X"] = i.ToString();
        dt2.Rows.Add(dt);
      }

      dt.AcceptChanges();
      dt2.AcceptChanges();

      DataList1.DataSource = dt;
      DataList1.DataBind();

      UltraWebGrid1.DataSource = dt2;
      UltraWebGrid1.DataBind();
    }

    protected void Page_Load(object sender, EventArgs e)
    {
      if (IsPostBack)
        return;

      LoadData();
    }

    protected void DataList1_ItemCommand(object source, DataListCommandEventArgs e)
    {
      Response.Write(e.CommandSource.ToString());
    }
  }
}
